Bug 2115767 - Unable to apply all Errata via Remote Execution on Web UI with "Select All"
Summary: Unable to apply all Errata via Remote Execution on Web UI with "Select All"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.12.0
Assignee: Ian Ballou
QA Contact: addubey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-05 09:58 UTC by Yogendra
Modified: 2023-01-11 08:38 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-4.5.0.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-16 13:35:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35484 0 High New Unable to apply all Errata via Remote Execution on Web UI with "Select All" 2022-09-02 20:58:12 UTC
Red Hat Issue Tracker SAT-12498 0 None None None 2022-09-02 20:59:29 UTC
Red Hat Knowledge Base (Solution) 5172932 0 None None None 2022-08-15 16:20:02 UTC
Red Hat Product Errata RHSA-2022:8506 0 None None None 2022-11-16 13:35:22 UTC

Description Yogendra 2022-08-05 09:58:15 UTC
Description of problem:

When trying to apply all errata using Errata installation via remote execution, the errata filed getting blank on job invocation page.
 
Version-Release number of selected component (if applicable):

Red Hat Satellite 6.11.0

How reproducible:

Steps to Reproduce:
1.Navigate to Hosts -> Content Hosts  
2.Click host on which errata need to be applied
3.Click on Errata installation
4.Now we will get count of 20 errata per-page. Select all errata in one go using "All # items on this page are selected. Select all #"
5.Apply errata via remote execution

Actual results:

Now we will faced the actual issue the job invocation page shows the errata field as blank. So basically no errata can be applied.
 

Expected results:

Should be able to use select all to select all errata and apply them successfully via remote execution

Additional info:

If we increase the count of Entry per page from 20 to something higher so that we can see all errata in one page, then errata application via remote execution is working while using "select all".
 
It seems the same issue was fixed in  bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1846670 but Customer is again hitting this issue on 6.11.

Customer confirm that it was working till 6.10.

Comment 1 Ian Ballou 2022-09-02 20:58:11 UTC
Created redmine issue https://projects.theforeman.org/issues/35484 from this bug

Comment 2 Bryan Kearney 2022-09-03 00:04:38 UTC
Upstream bug assigned to iballou

Comment 3 Bryan Kearney 2022-09-03 00:04:40 UTC
Upstream bug assigned to iballou

Comment 4 Bryan Kearney 2022-09-14 20:04:32 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35484 has been resolved.

Comment 10 errata-xmlrpc 2022-11-16 13:35:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.12 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:8506


Note You need to log in before you can comment on or make changes to this bug.